<br>

<p align="center">
    <a href="https://github.com/surrealdb/surrealdb" target="_blank">
        <img width="200" src="https://raw.githubusercontent.com/surrealdb/surrealdb/master/img/logo.svg" alt="SurrealDB Logo">
    </a>
</p>

<h3 align="center">
    <img src="https://github.com/surrealdb/surrealdb/blob/main/img/black/text.svg?raw=true" height="12" alt="SurrealDB">
    is the ultimate cloud <br> database for tomorrow's applications
</h3>

<h3 align="center">Develop easier. &nbsp; Build faster. &nbsp; Scale quicker.</h3>

<br>

<p align="center">A scalable, distributed, collaborative, document-graph database, for the realtime web.</p>

<br>

<p align="center">
	<a href="https://github.com/surrealdb/surrealdb"><img src="https://img.shields.io/badge/status-stable-ff00bb.svg?style=flat-square"></a>
	&nbsp;
	<a href="https://docs.rs/surrealdb/"><img src="https://img.shields.io/docsrs/surrealdb?style=flat-square"></a>
	&nbsp;
	<a href="https://crates.io/crates/surrealdb"><img src="https://img.shields.io/crates/v/surrealdb?style=flat-square"></a>
	&nbsp;
	<a href="https://github.com/surrealdb/surrealdb"><img src="https://img.shields.io/badge/license-Apache_License_2.0-00bfff.svg?style=flat-square"></a>
</p>

<br>

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/whatissurreal.svg?raw=true">&nbsp;&nbsp;What is SurrealDB?</h2>

SurrealDB is an end-to-end cloud native database for web, mobile, serverless, jamstack, backend, and traditional applications. SurrealDB reduces the development time of modern applications by simplifying your database and API stack, removing the need for most server-side components, allowing you to build secure, performant apps quicker and cheaper. SurrealDB acts as both a database and a modern, realtime, collaborative API backend layer. SurrealDB can run as a single server or in a highly-available, highly-scalable distributed mode - with support for SQL querying from client devices, GraphQL, ACID transactions, WebSocket connections, structured and unstructured data, graph querying, full-text indexing, geospatial querying, and row-by-row permissions-based access.

For more details see [why](https://surrealdb.com/why), [features](https://surrealdb.com/features), or [documentation](https://surrealdb.com/docs).

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/cloud.svg?raw=true">&nbsp;&nbsp;SurrealDB Cloud</h2>

SurrealDB can run as a single-instance, or as a highly-available, highly-scalable cluster. If you don't want to manage your own database, we can run SurrealDB for you, in the Cloud, with just a couple of clicks. To get started with SurrealDB Cloud see our [website](https://surrealdb.com).

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/gettingstarted.svg?raw=true">&nbsp;&nbsp;Getting started</h2>

Getting started with SurrealDB is as easy as starting up the SurrealDB database server, choosing your platform, and integrating its SDK into your code. You can easily get started with your platform of choice by reading one of our tutorials.

##### Client side apps

- [Getting started with Javascript](https://surrealdb.com/docs/integration/libraries/javascript)
- [Getting started with WebAssembly](https://surrealdb.com/docs/integration/libraries/webassembly)
- [Getting started with Ember.js](https://surrealdb.com/docs/integration/libraries/emberjs)
- [Getting started with React.js](https://surrealdb.com/docs/integration/libraries/reactjs)
- [Getting started with Angular.js](https://surrealdb.com/docs/integration/libraries/angularjs)
- [Getting started with Vue.js](https://surrealdb.com/docs/integration/libraries/vue.js)
- [Getting started with Apollo GraphQL](https://surrealdb.com/docs/integration/libraries/apollo)

##### Server side code

- [Getting started with Node.js](https://surrealdb.com/docs/integration/libraries/nodejs)
- [Getting started with Golang](https://surrealdb.com/docs/integration/libraries/golang)
- [Getting started with Rust](https://surrealdb.com/docs/integration/libraries/rust)
- [Getting started with Deno](https://surrealdb.com/docs/integration/libraries/deno)
- [Getting started with Python](https://surrealdb.com/docs/integration/libraries/python)
- [Getting started with C](https://surrealdb.com/docs/integration/libraries/c)
- [Getting started with Java](https://surrealdb.com/docs/integration/libraries/java)
- [Getting started with Ruby](https://surrealdb.com/docs/integration/libraries/ruby)
- [Getting started with PHP](https://surrealdb.com/docs/integration/libraries/php)
- [Getting started with Swift](https://surrealdb.com/docs/integration/libraries/swift)
- [Getting started with R](https://surrealdb.com/docs/integration/libraries/r)

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/documentation.svg?raw=true">&nbsp;&nbsp;Documentation</h2>

For guidance on installation, development, deployment, and administration, see our [documentation](https://surrealdb.com/docs).

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/installation.svg?raw=true">&nbsp;&nbsp;Installation</h2>

SurrealDB is designed to be simple to install and simple to run - using just one command from your terminal. In addition to traditional installation, SurrealDB can be installed and run with HomeBrew, Docker, or using any other container orchestration tool such as Docker Compose, Docker Swarm, Rancher, or in Kubernetes.

<h4>
    <img width="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/black/apple.svg?raw=true">
    &nbsp; Install on macOS
</h4>

The quickest way to get going with SurrealDB on macOS is to use Homebrew. This will install both the command-line tools, and the SurrealDB server as a single executable. If you don't use Homebrew, follow the instructions for Linux below to install SurrealDB.

```bash
brew install surrealdb/tap/surreal
```

<h4>
    <img width="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/black/linux.svg?raw=true">
    &nbsp; Install on Linux
</h4>

The easiest and preferred way to get going with SurrealDB on Unix operating systems is to install and use the SurrealDB command-line tool. Run the following command in your terminal and follow the on-screen instructions.

```bash
curl -sSf https://install.surrealdb.com | sh
```

<h4>
    <img width="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/black/windows.svg?raw=true">
    &nbsp; Install on Windows
</h4>

The easiest and preferred way to get going with SurrealDB on Windows is to install and use the SurrealDB command-line tool. Run the following command in your terminal and follow the on-screen instructions.

```bash
iwr https://install.surrealdb.com -useb | iex
```

<h4>
    <img width="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/black/docker.svg?raw=true">
    &nbsp; Run using Docker
</h4>

Docker can be used to manage and run SurrealDB database instances without the need to install any command-line tools. The SurrealDB docker container contains the full command-line tools for importing and exporting data from a running server, or for running a server itself.

```bash
docker run --rm -p 8000:8000 surrealdb/surrealdb:latest -vvv start
```

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/community.svg?raw=true">&nbsp;&nbsp;Community</h2>

Join our growing community around the world, for help, ideas, and discussions regarding SurrealDB.

- View our official [Blog](https://surrealdb.com/blog)
- Follow us on [Twitter](https://twitter.com/surrealdb)
- Connect with us on [LinkedIn](https://www.linkedin.com/company/surrealdb/)
- Visit us on [YouTube](https://www.youtube.com/channel/UCjf2teVEuYVvvVC-gFZNq6w)
- Join our [Dev community](https://dev.to/surrealdb)
- Chat live with us on [Discord](https://surrealdb.com/discord)
- Questions tagged #surrealdb on [Stack Overflow](https://stackoverflow.com/questions/tagged/surrealdb)

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/contributing.svg?raw=true">&nbsp;&nbsp;Contributing</h2>

We would &nbsp;<img width="15" src="https://github.com/surrealdb/surrealdb/blob/main/img/love.svg?raw=true">&nbsp; for you to get involved with SurrealDB development! If you wish to help, you can learn more about how you can contribute to this project in the [contribution guide](CONTRIBUTING.md).

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/security.svg?raw=true">&nbsp;&nbsp;Security</h2>

For security issues, kindly email us at [security@surrealdb.com](mailto:security@surrealdb.com) instead of posting a public issue on GitHub.

<h2><img height="20" src="https://github.com/surrealdb/surrealdb/blob/main/img/license.svg?raw=true">&nbsp;&nbsp;License</h2>

Source code for SurrealDB is variously licensed under a number of different licenses. A copy of each license can be found in [each repository](https://github.com/surrealdb).

- Libraries and SDKs, each located in its own distinct repository, are released under either the [Apache License 2.0](https://github.com/surrealdb/license/blob/main/APL.txt) or [MIT License](https://github.com/surrealdb/license/blob/main/MIT.txt).
- Certain core database components, each located in its own distinct repository, are released under the [Apache License 2.0](https://github.com/surrealdb/license/blob/main/APL.txt).
- Core database code for SurrealDB, located in [this repository](https://github.com/surrealdb/surrealdb), is released under the [Business Source License 1.1](/LICENSE).

For more information, see the [licensing information](https://github.com/surrealdb/license).
